Zum Hauptinhalt springen
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
reports
/
metrics
Fetch metrics
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/reports/metrics \
  --header 'Authorization: Bearer <token>'
{
  "influencedContacts": 123,
  "newContactsFirstTouch": 123,
  "newContactsLastTouch": 123,
  "sessions": 123
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign for which metrics are being fetched.

Abfrageparameter

endDate
string

The end date for fetching metrics, in YYYY-MM-DD format.

startDate
string

The start date for fetching metrics, in YYYY-MM-DD format.

Antwort

successful operation

influencedContacts
integer<int32>
erforderlich

The number of contacts influenced by the campaign.

newContactsFirstTouch
integer<int32>
erforderlich

The number of new contacts attributed to the campaign as the first touchpoint.

newContactsLastTouch
integer<int32>
erforderlich

The number of new contacts attributed to the campaign as the last touchpoint.

sessions
integer<int32>
erforderlich

The total number of sessions generated by the campaign.

Last modified on April 9, 2026